Bug 139636 - Netbeans freezes
Netbeans freezes
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: JSP
6.x
All Windows XP
: P3 (vote)
: 6.x
Assigned To: Marek Fukala
issues@javaee
: RANDOM, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-10 18:27 UTC by frankioski
Modified: 2009-07-09 16:56 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Screen cap of IDE (175.54 KB, image/png)
2008-07-10 18:28 UTC, frankioski
Details
Screen cap of Windows Task Manager (24.86 KB, image/png)
2008-07-10 18:29 UTC, frankioski
Details
Thread dump (23.46 KB, text/plain)
2008-07-10 18:31 UTC, frankioski
Details
Frozen again. 2nd thread dump attached. (25.26 KB, text/plain)
2008-07-13 18:49 UTC, frankioski
Details
NetBeans froze again! Attaching thread dump. (25.70 KB, text/plain)
2008-08-20 08:22 UTC, frankioski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description frankioski 2008-07-10 18:27:32 UTC
System: Windows XP, 3 GB RAM, 150 GB HD (80 GB free).
Netbeans 6.1, Build 200807020101

Can't stop debugger, can't shutdown. Tried numerous times. Takes forever to respond.
Comment 1 frankioski 2008-07-10 18:28:24 UTC
Created attachment 64268 [details]
Screen cap of IDE
Comment 2 frankioski 2008-07-10 18:29:08 UTC
Created attachment 64269 [details]
Screen cap of Windows Task Manager
Comment 3 frankioski 2008-07-10 18:31:59 UTC
Created attachment 64270 [details]
Thread dump
Comment 4 frankioski 2008-07-13 18:49:00 UTC
Created attachment 64396 [details]
Frozen again. 2nd thread dump attached.
Comment 5 Peter Pis 2008-07-30 08:34:46 UTC
Reassigning to "java".
Comment 6 Max Sauer 2008-07-30 08:54:14 UTC
Seems more like debugger issue to me. Please reassign back in case I'm mistaken, thanks.
Comment 7 Daniel Prusa 2008-07-30 22:43:13 UTC
I have made a fix preventing Finish Debugger action to be still enabled and non-functional:
changeset d9e81876bce9 in main
details: http://hg.netbeans.org/main?cmd=changeset;node=d9e81876bce9

The second thread dump does not seem to be related to the debugger. AWT thread is blocked at

org.openide.text.CloneableEditor$DoInitialize.initDocument(CloneableEditor.java:352)

which is called by

org.netbeans.modules.java.hints.infrastructure.HintAction.getCurrentFile(HintAction.java:100)

Reassigning back for further evaluation.
Comment 8 Quality Engineering 2008-07-31 04:05:27 UTC
Integrated into 'main-golden', available in build *200807310201* on http://bits.netbeans.org/dev/nightly/
Changeset: http://hg.netbeans.org/main/rev/d9e81876bce9
User: Daniel Prusa <dprusa@netbeans.org>
Log: #139636: clear finishing flag on finish() method exit
Comment 9 frankioski 2008-08-20 08:22:12 UTC
Created attachment 67923 [details]
NetBeans froze again! Attaching thread dump.
Comment 10 Jan Becicka 2008-10-01 08:57:29 UTC
Last dump is from gsf, isn't it?
Comment 11 David Strupl 2009-01-14 14:35:30 UTC
Moving from ruby/GSF to editor/CSL. Step one: assign to myself ;-)
Comment 12 David Strupl 2009-01-14 14:42:59 UTC
Step 2: trying to make the owner not myself but the owner of the subcomponent.
Comment 13 Miloslav Metelka 2009-03-23 16:11:10 UTC
Is this still relevant?
Comment 14 Vitezslav Stejskal 2009-03-24 14:43:30 UTC
Not sure. From the threaddump it looks like a clash between AWT and "GSF Source Worker Thread".

AWT: BaseKit.DefaultKeyTypedAction calls insertString under a document writelock;
JSPKit$JspDefaultKeyTypedAction.insertString calls reformat which tries to acquire the GSF parsing infrastructure's lock.

GSF: A task is running which tries to readlock a document.
Comment 15 pribyl 2009-04-17 13:48:25 UTC
Any chance this has been resolved? I am little confused from the latest comments.
Issue has INCOMPLETE status - are we really waiting for additional info from the reporter?

Thanks for any update
Comment 16 Max Sauer 2009-04-17 16:22:16 UTC
It would be nice if the reporter will tell us if it still happen for him in latest trunk builds... Thanks.
Comment 17 David Strupl 2009-06-08 13:59:43 UTC
Marek, these are yours now ...
Comment 18 mslama 2009-07-09 14:55:24 UTC
Last deadlock is probably due to incorrect order of locking of document and internal old gsf parser lock. mfukala do you
remember if you already fixed this in past or not?
Comment 19 mslama 2009-07-09 15:02:02 UTC
Document locking in AWT thread is done at org.netbeans.editor.BaseKit$DefaultKeyTypedAction.actionPerformed.
Comment 20 Marek Fukala 2009-07-09 16:55:45 UTC
This is IMHO already fixed by my changes in JspKit$JspDefaultKeyTypedAction - the indent lock is acquired before locking
the document.
Comment 21 Marek Fukala 2009-07-09 16:56:54 UTC
closing as fixed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo